# README

## Description
Finally you have the possibility to **vote tracks!** As you may know it from *TMN*, you can give ratings from **---** to **+++** via chat or via the plugin. You will also see how many players have voted for the map in total. In addition, the average rating is displayed in stars and in a number. This is a **global** vote manager. It doesn't matter if you play solo or on a server. You can always see the current voting status of the current map.

## Features
- You can give the following ratings: **---**, **--**, **-**, **+**, **++**, **+++**
- The vote can be given via the **plugin** or via the **chat**
- The **number of players** who have given a vote is displayed.
- The **average rating** is displayed in the form of a **number**
- The **average rating** is displayed in the form of **stars**.
- It can be set in the **settings** that the title bar is displayed. The **position** of the voting plugin can also be adjusted by dragging the title bar.
- You can set in the **settings** that **no chat message** should be sent when clicking on a vote in the voting plugin.
- The plugin can be **hidden** via the script tab.

## Limits
- If Openplanet is hidden with F3 no rating can be given over the plugin. It is still possible via the chat window. In the alternative view, the last submitted rating is displayed.
- Currently, a maximum of 500 simultaneous connections are allowed with the plugin. If this plugin will be used by many people, this number could be changed upwards.

## Star definition
The following star scale was defined for the voting plugin:

| Scale | Stars 
| -----|:--:|
| 92-100 | 5 |
| 83-91 | 4.5 |
| 74-82 | 4 |
| 64-73 | 3.5 |
| 55-63 | 3 |
| 45-54 | 2.5 |
| 36-44 | 2 |
| 27-35 | 1.5 |
| 18-26 | 1 |
| 9-17 | 0.5 |
| 0-8 | 0 |

## Source Code
The source code for the backend project can be found here:
https://git.willers.digital/Dennis.Willers/voting

The source code for the plugin can be found here:
https://git.willers.digital/Dennis.Willers/voting-plugin